function csawh_wrapper(filelist,config_options)

%%%%%%%%%%%%
% default parameters
% and reading config file
if nargin == 1
	fs        = 16000;
	feat_name = 'cmu_feat';
	appDeltas = 1;
	del_width = 5;
    	alpha     = 0.85;
   	resynth   = 0;
	numFilts  = 30;
	dLowFreq  = 200;
	dHighFreq = 4000;
	cmn       = 1;
	fileType  = 'sph';
	addDither = 1;
	overwrite = 0;
	ppn       = 1;
    	numDeltas = 2;
	numcep    = 13;
	skipC0    = 0;
else
	fid = fopen(config_options);
	CO1 = textscan(fid,'%s%s','MultipleDelimsAsOne',1);
	fclose(fid);

	pVals = CO1{2};

	fs        = str2double(pVals{1});
	feat_name = pVals{2};
	appDeltas = str2double(pVals{3});
	del_width = str2double(pVals{4});
    	alpha     = str2double(pVals{5});
    	resynth   = str2double(pVals{6});
	numFilts  = str2double(pVals{7});
	dLowFreq  = str2double(pVals{8});
	dHighFreq = str2double(pVals{9});
	cmn       = str2double(pVals{10});
	fileType  = pVals{11};
	addDither = str2double(pVals{12});
	overwrite = str2double(pVals{13});
	ppn       = str2double(pVals{14});
    	numDeltas = str2double(pVals{15});
	numcep    = str2double(pVals{16});
	skipC0    = str2double(pVals{17});
end

%%%%%%%%%%%%
% read in I/O
% list
fid = fopen(filelist);
L1  = textscan(fid,'%s%s','delimiter',',');
fclose(fid);

%%%%%%%%%%%%
% generate common
% filter banks
aad_H1 = ComputeFilterResponse(40, 1024, 133, 6855, fs);
aad_H1 = abs(NormalizeFilterGain(aad_H1, fs));
aad_H2 = ComputeFilterResponse(numFilts, 1024, dLowFreq, dHighFreq, fs);
aad_H2 = abs(NormalizeFilterGain(aad_H2, fs));

%%%%%%%%%%%%
% successively process
% the files
inList = L1{1}; outList = L1{2};
for k = 1:length(inList)
	inFile  = strtrim(inList{k});
	outFile = strtrim(outList{k});
	
	file_dir = fileparts(outFile);
	if exist(file_dir,'dir') ~= 7
		mkdir(file_dir);
	end
	
	if overwrite == 0	
		if ~exist(outFile,'file')
            		csawh(outFile,inFile,resynth,feat_name,alpha,fs,appDeltas,numDeltas,del_width,cmn,fileType,addDither,ppn,aad_H1,aad_H2,numcep,skipC0);
		end
	else
		csawh(outFile,inFile,resynth,feat_name,alpha,fs,appDeltas,numDeltas,del_width,cmn,fileType,addDither,ppn,aad_H1,aad_H2,numcep,skipC0);
	end
end
