function Pproc = histMfeat2(Pnorm,pow_expon,alpha,hgram)

%%%%%%%%%%%%
% histogram-based
% processing
min1   = min(Pnorm(:));
max1   = max(Pnorm(:));
Pnorm  = Pnorm - min1;
Pnorm  = Pnorm/max(Pnorm(:));
Pnorm0 = 0.95*Pnorm;

DRN_only = 0;

%%%%%%%%%%%%
% DRN
%
Pnorm = Pnorm0 - repmat(min(Pnorm0,[],2),1,size(Pnorm0,2));
Pnorm = 0.95*Pnorm./repmat(max(Pnorm,[],2),1,size(Pnorm,2));


if DRN_only == 1
	J = Pnorm;
else
	%%%%%%%%%%%%
	% channel-by-channel
	% histogram warping
	J = zeros(size(Pnorm));
	for i=1:size(J,1)
    		J(i,:) = histeq(Pnorm(i,:), hgram(i,:));
	end
end
J = J - min(J(:));
J = J/max(J(:));

%%%%%%%%%%%%
% process
% tempering
J = alpha*Pnorm0 + (1-alpha)*J;

J = J - min(J(:));
J = J/max(J(:));

%%%%%%%%%%%%
% linear
% restoration
J = J*(max1 - min1);
J = J + min1;

%%%%%%%%%%%%
% return to
% linear domain
Pproc = J.^(1/pow_expon);
